<?php

namespace Drupal\cmlapi\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Class CmlEntitySettingsForm.
 *
 * @package Drupal\cmlapi\Form
 *
 * @ingroup cmlapi
 */
class CmlApiSettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'CmlApi_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return ['cmlapi.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config('cmlapi.settings');

    $form['config'] = [
      '#type' => 'details',
      '#title' => $this->t('General settings'),
    ];
    $form['config']['live-long'] = [
      '#title' => $this->t('Live long'),
      '#type' => 'textfield',
      '#default_value' => $config->get('live-long'),
    ];
    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $config = $this->config('cmlapi.settings');
    $config
      ->set('live-long', $form_state->getValue('live-long'))
      ->save();
  }

}
